﻿
namespace ProjectDumpTruck.MovementStrategy;

/// <summary>
/// Стратегия перемещения объекта к углу
/// </summary>
public class MoveToBorder : AbstractStrategy
{
    protected override bool IsTargetDestination()
    {
        ObjectParameters? objParams = GetObjectParameters;
        if (objParams == null)
        {
            return false;
        }

        return objParams.LeftBorder - GetStep() <= 0 || objParams.RightBorder + GetStep() >= FieldWidth ||
            objParams.TopBorder - GetStep() <= 0 || objParams.ObjectMiddleVertical + GetStep() >= FieldHeight;
    }

    protected override void MoveToTarget()
    {
        ObjectParameters? objParams = GetObjectParameters;
        if (objParams == null)
        {
            return;
        }

        int diffX = objParams.RightBorder - FieldWidth;
        if (Math.Abs(diffX) > GetStep())
        {
            MoveRight();
        }

        int diffY = objParams.DownBorder - FieldHeight;
        if (Math.Abs(diffY) > GetStep())
        {
            MoveDown();
        }
    }
}
